# Class JDBCFormatter.SqlColumn

java.lang.Object
uk.ac.starlink.table.jdbc.JDBCFormatter.SqlColumn

Enclosing class:
  `JDBCFormatter`

public static class JDBCFormatter.SqlColumn extends Object
Describes a column as it will be written to a table in an RDBMS.

Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
Name used for the column.
`int`
`getSqlType()`
Returns the SQL type code for this column.
`String`
`getTypeSpec()`
Type specification as used in CREATE statement.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSqlType

public int getSqlType()
Returns the SQL type code for this column.

Returns:
  symbolic integer from `Types`

### getColumnName

public String getColumnName()
Name used for the column.

Returns:
  column name

### getTypeSpec

public String getTypeSpec()
Type specification as used in CREATE statement.

Returns:
  column type specification